MetacatUI - Bug #6055

Pressing back button in browser does not go back to previous search results page.
08/23/2013 11:14 AM - Lauren Walker

Status: Closed Start date:

Priority: Normal Due date:

Assignee: ben leinfelder % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.1.0 Spent time: 0.00 hour
Bugzilla-ld:

Description

Related issues:
Related to MetacatUl - Task #6090: Handle paging with search filters applied Resolved 09/12/2013

History

#1 - 08/23/2013 03:31 PM - ben leinfelder
- Status changed from New to In Progress

- Assignee set to ben leinfelder

Using new routes so that browser "knows" where we are in the application.

#2 - 08/23/2013 04:18 PM - ben leinfelder

- Status changed from In Progress to Feedback

Team: please take a look at this re-implementation of paging and let me know if you see any issues. Thanks!

#3 - 08/27/2013 04:52 PM - ben leinfelder

The search term filter is always applied during paging - even when you hit the back button. Hopefully there is an intelligent way to do this. One option

is to drive the search entirely with URLSs, but that might get cumbersome.

#4 - 09/12/2013 09:59 AM - ben leinfelder
- Status changed from Feedback to Closed

Works for the time being - will be updated when more advanced search options are included
